<template>
  <section class="list-item">
    <img class="border" :src="event.image_url" :alt="event.name" />
    <div class="list-text-container">
      <router-link :to='`/event/${event.id}`'>
        <h2>{{event.name}}</h2>
      </router-link>
      <span>
        {{event.description}}
      </span>
    </div>
  </section>
</template>

<script>
  export default {
    name: "EventListItem",
    props: ['event']
  }
</script>

<style scoped>
.list-item {
  /*background-color: black;*/
  width: 100%;
  height: 120px;

  display: grid;
  grid-column-gap: 20px;
  grid-template-columns: 20% 1fr;
  grid-template-rows: 1fr;
  justify-items: stretch;
  align-items: stretch;
  justify-content: space-evenly;
  padding: 6px 0;
}

.list-item:hover {
  background-color: #0f0f0f;
}

.list-text-container {
  grid-column: 2;
}

img {
  grid-column: 1;
  object-fit: contain;
  max-width: 100%;
  max-height: 100%;
  /*border: 3px solid white;*/
}
</style>
